////////////////////////////////////////////////////////////////////////////////
///
///		Title		: Component UI File
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

#include "RTTI.h"

/**
* @ingroup 	Base UI	
* @brief 	Component Base UI interface
* @date		10/23/2006
* @author	telltale
* @remark	
*/
interface NPCOMMONUI_API IComponentUI
{
public:
	virtual ~IComponentUI() {  }
	/**
	* @brief 	paint Component
	* @param	hDC	handle to device context
	* @return	none
	*/
	//virtual void	DrawComponent(HDC hDC) = 0;

	DECLARE_ROOT_RTTI;
};